### Method

# EDataServer SourceMailIdentity set_signature_uid

since: 3.6

#### Declaration [src]

    void
    e_source_mail_identity_set_signature_uid (
      ESourceMailIdentity* extension,
      const gchar* signature_uid
    )

#### Description [src]

Sets the `ESource:uid` of an `ESource` describing a mail signature.

If the user does not want to use a signature for this identity, the convention is to set the `ESourceMailIdentity:signature-uid` property to “none”. In keeping with that convention, the property will be set to “none” if `signature_uid` is `NULL` or an empty string.

Available since: 3.6

Sets property | `EDataServer.SourceMailIdentity:signature-uid`

#### Parameters

`signature_uid`

  Type: `const gchar*`

  The sender’s signature ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.